//
//  ViewController.m
//  MyKouponSample
//
//  Created by Brian Reinhart on 9/27/13.
//  Copyright (c) 2013 Koupon Media. All rights reserved.
//

#import "ViewController.h"
#import "MyKouponAPITableCell.h"
#import "AppDelegate.h"
#import "APIData.h"
#import "KouponDetailViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    //Hide the navigation bar for this view (make sure to enable it on child views)
    //[self.navigationController setNavigationBarHidden:YES];
    
	// Do any additional setup after loading the view, typically from a nib.
    /* Get The Default API Data from the application delegate */
    AppDelegate* appDelegate = (AppDelegate*)[[UIApplication sharedApplication] delegate];
    APIData* data = appDelegate.apiData;
    
    apiCellRows = [data.apiList copy];
    
    //consumerCreated = NO;
    
//    Koupon* kouponSDK = [appDelegate kouponSDK];
//    if (!kouponSDK.consumerId) {
//        LoginViewController* loginView = [[LoginViewController alloc] initWithNibName:nil bundle:nil];
//        [self.navigationController presentViewController:loginView animated:YES completion:nil];
//    }
    
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (NSInteger) tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
//    if (consumerCreated == NO) {
//        return 1;
//    }
    return apiCellRows.count;
}

- (UITableViewCell*)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    
    
    NSString* name = [[apiCellRows objectAtIndex:indexPath.row] objectForKey:@"DisplayName"];
    NSString* method = [[apiCellRows objectAtIndex:indexPath.row] objectForKey:@"Method"];
    
    MyKouponAPITableCell *cell = [tableView dequeueReusableCellWithIdentifier:@"apiCell"];
    
    cell.apiDisplayName.text = name;
    cell.apiMethod.text = method;
    
    if (cell == nil) {
        cell = [[MyKouponAPITableCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:@"MyIdentifier"
                displayName:name method:method];
        cell.selectionStyle = UITableViewCellSelectionStyleNone;
    }
    
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    [tableView deselectRowAtIndexPath:indexPath animated:YES];
}


- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath {
    return 100;
}

-(void) prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    if([[segue identifier] isEqualToString:@"ShowAPIDetail"])
    {
        NSIndexPath* index = [apiTableView indexPathForSelectedRow];
        KouponDetailViewController* detail = [segue destinationViewController];
        detail.index = index;
    }
}

-(void) viewWillAppear:(BOOL)animated
{
    if (consumerCreated)
    {
        [apiTableView reloadData];
    }
}

@end
